Package org.eclipse.microprofile.openapi.apps.airlines.model

# Class Booking

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.model.Booking

public class Booking extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`getAirMiles()`
`CreditCard`
`getCreditCard()`
`Flight`
`getDeparttureFlight()`
`Flight`
`getReturningFlight()`
`String`
`getSeatPreference()`
`void`
`setAirMiles(String airMiles)`
`void`
`setCreditCard(CreditCard creditCard)`
`void`
`setDeparttureFlight(Flight departtureFlight)`
`void`
`setReturningFlight(Flight returningFlight)`
`void`
`setSeatPreference(String seatPreference)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDeparttureFlight

public Flight getDeparttureFlight()

### setDeparttureFlight

public void setDeparttureFlight(Flight departtureFlight)

### getReturningFlight

public Flight getReturningFlight()

### setReturningFlight

public void setReturningFlight(Flight returningFlight)

### getCreditCard

public CreditCard getCreditCard()

### setCreditCard

public void setCreditCard(CreditCard creditCard)

### getAirMiles

public String getAirMiles()

### setAirMiles

public void setAirMiles(String airMiles)

### getSeatPreference

public String getSeatPreference()

### setSeatPreference

public void setSeatPreference(String seatPreference)